# Create Sitejet domain ID

This function creates a Sitejet ID for the specified domain.

Note:

A unique Sitejet ID is assigned to each domain on the cPanel account.

Endpoint: GET /Sitejet/create_website
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `company` (string, required)
    The name of the company the website represents.
    Example: "cPanel"

  - `domain` (string, required)
    A cPanel account's domain.
    Example: "example.com"

  - `assignTo` (string)
    Assign website to other user.
    Example: "SallySmith@example.com"

  - `city` (string)
    The city where the company or website owner is located.
    Example: "Capitol City"

  - `country` (string)
    The country where the company or website owner is located.
    Example: "US"

  - `email` (string)
    The email address of the website owner.
    Example: "JohnSmith@example.com"

  - `firstname` (string)
    The first name of the website owner.
    Example: "John"

  - `language` (string)
    The language to use for the Sitejet Website Builder.
    Example: "en"

  - `lastname` (string)
    The last name of the website owner.
    Example: "Smith"

  - `metadata` (string)
    Additional metadata for the website.
    Example: "{\"Attribute1\":9,\"Attribute2\":3,\"Attribute3\":5}"

  - `note` (string)
    Additional notes about the website.
    Example: "This is my website for my business."

  - `phone` (string)
    The phone number of the company or website owner.
    Example: "000-123-4567"

  - `street` (string)
    The street address of the company or website owner.
    Example: "1234 Main St"

  - `title` (string)
    The website title.
    Example: "Example Website"

  - `zip` (string)
    The zip code where the company or website owner is located.
    Example: "99999"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "create_website"

  - `module` (string)
    The name of the module called.
    Example: "Sitejet"

  - `result` (object)

  - `result.data` (object)

  - `result.data.websiteID` (integer)
    The website ID of the created website.
    Example: 123456

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


